package com.candymanlab.android.phonenumberane.functionclasses;

import android.telephony.TelephonyManager;

import com.adobe.fre.FREContext;
import com.adobe.fre.FREFunction;
import com.adobe.fre.FREObject;
import com.adobe.fre.FREWrongThreadException;
import com.candymanlab.android.phonenumberane.extensions.PhoneNumberExtensionContext;

public class GetPhoneNumberFunction implements FREFunction {
	public static final String NO_NUMBER_DEFAULT = "Unknown";

	@Override
	public FREObject call(FREContext context, FREObject[] passedArgs) {
		FREObject result = null;
		PhoneNumberExtensionContext ctx = (PhoneNumberExtensionContext) context;
		TelephonyManager telephonyManager = ctx.telManager;
		String phoneNumber = telephonyManager.getLine1Number();
		
		if(phoneNumber != null) {
			if(phoneNumber.equals(""))
				phoneNumber = NO_NUMBER_DEFAULT;
		} else {
			phoneNumber = NO_NUMBER_DEFAULT;
		}
		
		try {
			result = FREObject.newObject(phoneNumber);
		} catch (FREWrongThreadException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		return result;
	}

}
